Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Laienproblem : Unbekannter Befehl...

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Laienproblem : Unbekannter Befehl... (1792 mal gelesen)
gelegenheitslispler
Mitglied



Sehen Sie sich das Profil von gelegenheitslispler an!   Senden Sie eine Private Message an gelegenheitslispler  Schreiben Sie einen Gästebucheintrag für gelegenheitslispler

Beiträge: 44
Registriert: 02.12.2004

erstellt am: 20. Apr. 2005 15:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hab mir letztens untenstehende Routine gebastelt, (ja, ich weiß, commands sind amateurhaft ;-)),
welche mir unmittelbar vor dem spline-Befehl die Meldung : unbekannter Befehl soundso, Drücken Sie F1" etc. bringt.
Ansonsten läuft alles problemlos bis zum Ende durch und kann dann wieder aufgerufen werden.
Da ich hauptberuflich eigentlich was anderes mache als acad zu vergewohltätigen, hier meine Frage :
Was mache ich falsch ? Lisp No.2 ist , wie man leicht sieht, nicht von mir.
Danke, Frank


defun c:name()
(setq var1 (getstring " \n  textausgabe : "))
(setq p1 (getpoint "?n  textausgabe :"))
(command "einfüge "Blockname" p1 1 1 0)
(setq p2 (getpoint "   \n textausgabe: "))
(command "einfüge "Blockname2" p1 1 1 0 )
(command "-layer" "se" "Layername" "")
(command "_line" p1 p2 "")
(command "_zoom" "0.3x" "")
(c:bh); ;  das ist ein externes lisp
(command "-layer" "se" "Layername" "")
(command "text" p1 "0.5" "0" var1 "")
(command "-layer" "se" "Layername" "")
(prompt "\n    Textausgabe> ")
(command "spline")
(princ)
)


---------------------------------------------------------------------

(defun C:bh (/ tsize newtsize k-point k-xoutput k-youtput k-zoutput)
  (setq snap (getvar "OSMODE")
echo (getvar "CMDECHO")
  )
  (setvar "OSMODE" 0)
  (setvar "CMDECHO" 0)
  (setq
    tsize
    (cdr (assoc 40 (tblsearch "STYLE" (getvar "TEXTSTYLE")))
    )
  )
  (command "-layer" "SE" "Layername" "")
  (command "-stil" "verdana" "" "" "" "" "" "")
  (while
    (setq k-point
  (getpoint
    "\n   
    Textausgabe :"
  )
    )
    (command "einfüge" "Block.dwg" k-point 1 1 0)


    (if (= (type k-point) 'list)
      (progn
(setq
  k-xyzoutput
    (strcat
      (rtos (caddr k-point) 2 3)
    )
) ; setq
(if (= 0.0 tsize)
  (progn
    (command "_.text" "_bl" k-point 0.25 "0" k-xyzoutput)
  ) ; progn
  (progn
    (command "_.text" "_bl" k-point "0" k-xyzoutput)
  ) ; progn
) ; if
      ) ; progn
    ) ; if


    (command "_move" "L" "" "1,1,1" "1.15,1,0")
  )
(princ)

)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9554
Registriert: 01.12.2003

One AutoCAD 2.5 - 2020, Civil 3D, Win10

erstellt am: 20. Apr. 2005 15:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gelegenheitslispler 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von gelegenheitslispler:
Hab mir letztens untenstehende Routine gebastelt,... hier meine Frage :
Was mache ich falschdefun c:name()
(setq var1 (getstring " \n  textausgabe : "))
(setq p1 (getpoint "?n  textausgabe :"))
(command "einfüge "Blockname" p1 1 1 0)
(setq p2 (getpoint "    \n textausgabe: "))
(command "einfüge "Blockname2" p1 1 1 0 )
...

Auf den ersten Blick fällt mir auf:
Da fehlt hinter dem Einfüge Befehl jeweils ein Anführungszeichen.

------------------
Mit freundlichem Gruß

Udo Hübner

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 20. Apr. 2005 15:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gelegenheitslispler 10 Unities + Antwort hilfreich

Hi Gelegenheit,
Dein Code wie er hier steht ist nicht im geringsten lauffähig...
Vielleicht kopierst Du noch mal die richtige Version hier rein.

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gelegenheitslispler
Mitglied



Sehen Sie sich das Profil von gelegenheitslispler an!   Senden Sie eine Private Message an gelegenheitslispler  Schreiben Sie einen Gästebucheintrag für gelegenheitslispler

Beiträge: 44
Registriert: 02.12.2004

erstellt am: 20. Apr. 2005 16:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hier isser :
Ihr wollte es ja so ;-)

(defun c:2 ()
(setq Befnummer (getstring "

\n      Befundnummer eingeben : "))
  (setq p1 (getpoint ; Abfrage von Punkt 1
"\n    Befund mit 2 Nägeln.  ----> A-Nagel : "))

  (command "einfüge" "c:/A-Nagel.dwg" ; Fügt A-Nadel ein
  p1 1 1 0 "") ; und zwar bei p1 mit Skalierung 1 und Drehung 0         

  (setq p2 (getpoint
"\n                            ----> B-Nagel : "))


  (command "einfüge" "c:/B-Nagel.dwg" p2 1 1 0 "") ; dto

  (command "-layer" "se" "Schnitt" "") ; aktueller layer wird Schnitt

  (command "_line" p1 p2 "") ; Linie von p1 nach p2 zeichnen

  (command "_zoom" "fe" p1 p2 "") ; fenster zoomen mit den fensterecken p1 und p2
  (command "_zoom" "0.3x" "")        ; das ganze auf faktor 0.3
  (c:bh);
  (command "-layer" "se" "Befundnummern" "")
  (command "text" p1 "0.5" "0" Befnummer "")

  (command "-layer" "se" "Befund" "") ; aktueller Layer wird Befund 
  (setvar "osmode" 0)
  (command "ortho" "aus")
  (prompt "\n    ----> Befundumring messen ----> ") ; prompt 
  (command "spline") ; spline zeichnen

  (princ)
  (princ) ;Funktionsende
)


------------------------------------------


(defun C:bh (/ tsize newtsize k-point k-xoutput k-youtput k-zoutput)
  (setq snap (getvar "OSMODE")
echo (getvar "CMDECHO")
  )
  (setvar "OSMODE" 0)
  (setvar "CMDECHO" 0)
  (setq
    tsize
    (cdr (assoc 40 (tblsearch "STYLE" (getvar "TEXTSTYLE")))
    )
  )
  (command "-layer" "SE" "Befundhöhen" "")
  (command "-stil" "verdana" "" "" "" "" "" "")
  (while
    (setq k-point
  (getpoint
    "\n   
    Höhenpunkt anmessen (mit ENTER weiter zum Umring) :"
  )
    )
    (command "einfüge" "c:/Befundhöhe.dwg" k-point 1 1 0)


    (if (= (type k-point) 'list)
      (progn
(setq
  k-xyzoutput
    (strcat
      (rtos (caddr k-point) 2 3)
    )
) ; setq
(if (= 0.0 tsize)
  (progn
    (command "_.text" "_bl" k-point 0.25 "0" k-xyzoutput)
  ) ; progn
  (progn
    (command "_.text" "_bl" k-point "0" k-xyzoutput)
  ) ; progn
) ; if
      ) ; progn
    ) ; if


    (command "_move" "L" "" "1,1,1" "1.15,1,0")
  )
(princ)

)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 20. Apr. 2005 17:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gelegenheitslispler 10 Unities + Antwort hilfreich

Hi,
puh...
Immer noch recht krautig, aber für Dich vielleicht 'n paar interessante Ansätze drinne.
Versuch mal meine Überarbeitung:
Code:

(defun C:2 (/ ALTORTHO ALTOS BEFNUMMER P1 P2)
  (if (setq BEFNUMMER (getstring "\nBefundnummer eingeben : "))
    (if (setq P1 (getpoint "\nBefund mit 2 Nägeln.  ----> A-Nagel : "))
      (progn
        (command "_.-insert" "c:/A-Nagel.dwg" P1 1 1 0 "")
;;;        (command "_.-insert" "UH" P1 1 1 0)
        (if (setq P2
                  (getpoint "\n                            ----> B-Nagel : "
                  )
            )
          (progn
            (command "_.-insert" "c:/B-Nagel.dwg" P2 1 1 0 "") ; dto
;;;            (command "_.-insert" "UH" P2 1 1 0)
            (command "_.-layer" "_m" "Schnitt" "")
                                        ; aktueller layer wird Schnitt und erzeugt, falls nicht vorhanden
            (command "_.line" P1 P2 "") ; Linie von p1 nach p2 zeichnen
            (command "_.zoom" "_w" P1 P2)
                                        ; fenster zoomen mit den fensterecken p1 und p2
            (command "_.zoom" "0.3x")  ; das ganze auf faktor 0.3
            (C:BH)
            (command "_.-layer" "_m" "Befundnummern" "")
;_ (command "_.text" P1 "0.5" "0" BEFNUMMER "")
            (CMDTEXT P1 BEFNUMMER)
            (command "_.-layer" "_m" "Befund" "")
            (setq ALTOS    (getvar "osmode")
                  ALTORTHO (getvar "ORTHOMODE")
            )
            (setvar "osmode" 0)
            (setvar "ORTHOMODE" 0)
            (prompt "\n    ----> Befundumring messen ----> ") ; prompt
            (SPLINE)
            (setvar "osmode" ALTOS)
            (setvar "ORTHOMODE" ALTORTHO)
          )
        )
      )
    )
  )
  (princ)
)


(defun C:BH (/ ECHO K-POINT SNAP)
  (setq SNAP (getvar "OSMODE")
        ECHO (getvar "CMDECHO")
  )
  (setvar "OSMODE" 0)
  (setvar "CMDECHO" 0)
  (command "_.-layer" "_m" "Befundhöhen" "")
  (command "_.-style" "verdana" "" "" "" "" "" "" "")
  (while
    (setq K-POINT
          (getpoint
            "\n   
    Höhenpunkt anmessen (mit ENTER weiter zum Umring) :"
          )
    )
    (command "_.-insert" "c:/Befundhöhe.dwg" K-POINT 1 1 0)
;;;    (command "_.-insert" "UH" K-POINT 1 1 0)
    (if (= (type K-POINT) 'list)
      (CMDTEXT K-POINT
                (strcat
                  (rtos (caddr K-POINT) 2 3)
                )
      )
    )
    (command "_.move" "_l" "" "1,1,1" "1.15,1,0")
  )
  (setvar "OSMODE" SNAP)
  (setvar "CMDECHO" ECHO)
  (princ)
)

(defun CMDSPLINE ()
  (command "_.spline")
  (while
    (= 1 (logand (getvar "CMDACTIVE") 1))
    (command PAUSE)
  ) ;_ end of while
) ;_ end of defun

(defun SPLINE ()
  (if (not
        (vl-catch-all-error-p (vl-catch-all-apply 'CMDSPLINE NIL))
      ) ;_ end of not
    (entlast)
  ) ;_ end of if
) ;_ end of defun

(defun CMDTEXT (LSTPKT STRTEXT /)
  (if (= (cdr (assoc 40 (tblsearch "STYLE" (getvar "TEXTSTYLE")))
        )
        0.0
      )
    (command "_.text" "_bl" LSTPKT 0.25 "0" STRTEXT)
    (command "_.text" "_bl" LSTPKT "0" STRTEXT)
  )
)
(princ)



...

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gelegenheitslispler
Mitglied



Sehen Sie sich das Profil von gelegenheitslispler an!   Senden Sie eine Private Message an gelegenheitslispler  Schreiben Sie einen Gästebucheintrag für gelegenheitslispler

Beiträge: 44
Registriert: 02.12.2004

erstellt am: 21. Apr. 2005 07:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Marc,
Danke für die Umsetzung meines Zeugs in etwas stichfesteres.
Leider kriege ich immer noch die Meldung :
"Befund mit 2 Nägeln.  ----> A-Nagel : Unbekannter Befehl "2". Drücken Sie
F1-Taste für Hilfe."
Hiiilfe !
Gruß Frank
PS
ich lerne dazu ;-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 21. Apr. 2005 08:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gelegenheitslispler 10 Unities + Antwort hilfreich

Hi,
bei mir läuft das Ding problemlos durch...
Keine Ahnung was Du da machst.
Kopier den Code hier aus'm Forum über die Zwischenablage in eine neue Textdatei und dann versuch's nochmal.

BTW, könnte es sein das die Blöcke die Du im Pgm ansprichst nicht vorhanden sind oder aber anders heißen?

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gelegenheitslispler
Mitglied



Sehen Sie sich das Profil von gelegenheitslispler an!   Senden Sie eine Private Message an gelegenheitslispler  Schreiben Sie einen Gästebucheintrag für gelegenheitslispler

Beiträge: 44
Registriert: 02.12.2004

erstellt am: 21. Apr. 2005 08:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Marc,
das Problem tritt auch beim rauskopierten Code auf.
Die Blöcke sind alle da und werden korrekt verarbeitet.
Es funktioniert überhaupt alles bis auf diese nervige Fehlermeldung.
Da im Original der Code noch länger ist (es sind noch einige,  prinzipiell identische Funktionen drin, die aber 4, 6, oder 8 Blöcke einfügen). Dort kommt dieselbe Fehlermeldung, natürlich mit dem jeweiligen Funktionsnamen.
Gruß Frank
PS: AC2002 (kann es was versionstechnisches sein?)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 21. Apr. 2005 09:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gelegenheitslispler 10 Unities + Antwort hilfreich

Hi Gelegenheit,
klar könnte das was versionstechnisches sein...
k.A. ich würde den Code mal im VLisp Debugger laufen lassen, dann findest Du den Fehler schon...

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 21. Apr. 2005 09:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gelegenheitslispler 10 Unities + Antwort hilfreich

Hi,
Hinweis vom Wiesel. In DEINEN Insert-Zeilen ist 'n "" zuviel.
Try this:
Code:

(defun C:2 (/ ALTORTHO ALTOS BEFNUMMER P1 P2)
  (if (setq BEFNUMMER (getstring "\nBefundnummer eingeben : "))
    (if (setq P1 (getpoint "\nBefund mit 2 Nägeln.  ----> A-Nagel : "))
      (progn
        (command "_.-insert" "c:/A-Nagel.dwg" P1 1 1 0)
;;;        (command "_.-insert" "UH" P1 1 1 0)
        (if (setq P2
                  (getpoint "\n                            ----> B-Nagel : "
                  )
            )
          (progn
            (command "_.-insert" "c:/B-Nagel.dwg" P2 1 1 0) ; dto
;;;            (command "_.-insert" "UH" P2 1 1 0)
            (command "_.-layer" "_m" "Schnitt" "")
                                        ; aktueller layer wird Schnitt und erzeugt, falls nicht vorhanden
            (command "_.line" P1 P2 "") ; Linie von p1 nach p2 zeichnen
            (command "_.zoom" "_w" P1 P2)
                                        ; fenster zoomen mit den fensterecken p1 und p2
            (command "_.zoom" "0.3x")  ; das ganze auf faktor 0.3
            (C:BH)
            (command "_.-layer" "_m" "Befundnummern" "")
;_ (command "_.text" P1 "0.5" "0" BEFNUMMER "")
            (CMDTEXT P1 BEFNUMMER)
            (command "_.-layer" "_m" "Befund" "")
            (setq ALTOS    (getvar "osmode")
                  ALTORTHO (getvar "ORTHOMODE")
            )
            (setvar "osmode" 0)
            (setvar "ORTHOMODE" 0)
            (prompt "\n    ----> Befundumring messen ----> ") ; prompt
            (SPLINE)
            (setvar "osmode" ALTOS)
            (setvar "ORTHOMODE" ALTORTHO)
          )
        )
      )
    )
  )
  (princ)
)

(defun C:BH (/ ECHO K-POINT SNAP)
  (setq SNAP (getvar "OSMODE")
        ECHO (getvar "CMDECHO")
  )
  (setvar "OSMODE" 0)
  (setvar "CMDECHO" 0)
  (command "_.-layer" "_m" "Befundhöhen" "")
  (command "_.-style" "verdana" "" "" "" "" "" "" "")
  (while
    (setq K-POINT
          (getpoint
            "\n   
    Höhenpunkt anmessen (mit ENTER weiter zum Umring) :"
          )
    )
    (command "_.-insert" "c:/Befundhöhe.dwg" K-POINT 1 1 0)
;;;    (command "_.-insert" "UH" K-POINT 1 1 0)
    (if (= (type K-POINT) 'list)
      (CMDTEXT K-POINT
                (strcat
                  (rtos (caddr K-POINT) 2 3)
                )
      )
    )
    (command "_.move" "_l" "" "1,1,1" "1.15,1,0")
  )
  (setvar "OSMODE" SNAP)
  (setvar "CMDECHO" ECHO)
  (princ)
)

(defun CMDSPLINE ()
  (command "_.spline")
  (while
    (= 1 (logand (getvar "CMDACTIVE") 1))
    (command PAUSE)
  ) ;_ end of while
) ;_ end of defun

(defun SPLINE ()
  (if (not
        (vl-catch-all-error-p (vl-catch-all-apply 'CMDSPLINE NIL))
      ) ;_ end of not
    (entlast)
  ) ;_ end of if
) ;_ end of defun

(defun CMDTEXT (LSTPKT STRTEXT /)
  (if (= (cdr (assoc 40 (tblsearch "STYLE" (getvar "TEXTSTYLE")))
        )
        0.0
      )
    (command "_.text" "_bl" LSTPKT 0.25 "0" STRTEXT)
    (command "_.text" "_bl" LSTPKT "0" STRTEXT)
  )
)
(princ)


...

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gelegenheitslispler
Mitglied



Sehen Sie sich das Profil von gelegenheitslispler an!   Senden Sie eine Private Message an gelegenheitslispler  Schreiben Sie einen Gästebucheintrag für gelegenheitslispler

Beiträge: 44
Registriert: 02.12.2004

erstellt am: 21. Apr. 2005 09:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

[räusper]
Also leider, das wars auch nicht....
Gruß Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 21. Apr. 2005 12:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gelegenheitslispler 10 Unities + Antwort hilfreich

[räusper]
Dann bist entweder DU zu blöd *grins*, oder ich *doppel-grins*
Bei mir läuft das problemlos. Punkt.

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gelegenheitslispler
Mitglied



Sehen Sie sich das Profil von gelegenheitslispler an!   Senden Sie eine Private Message an gelegenheitslispler  Schreiben Sie einen Gästebucheintrag für gelegenheitslispler

Beiträge: 44
Registriert: 02.12.2004

erstellt am: 21. Apr. 2005 12:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank für den subtilen Kommentar.
Selbstverständlich bin trotz 6 Jahren Autocad und abgeschlossenem Studium ich der Blöde. Ausgeschlossen, daß es an was technischem liegen kann. Dennoch ehrlichen Dank für die Hilfe.
Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 21. Apr. 2005 13:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gelegenheitslispler 10 Unities + Antwort hilfreich

Hi,
1. Was hat 6 Jahre AutoCAD Erfahrung oder abgeschlossenes Studium mit Blödheit zu tun? (obwohl einige der Herren Inventorianer sicher sagen: AutoCAD? Bin ich blöd?)

2. Ich habe ja absichtlich zwei Blöde zur Auswahl gestellt. Mußt Dir nur den richtigen suchen. Das mußt nicht zwingend DU sein ;-). Schließlich war ICH ja so blöde die erste Version FALSCH zu posten...

3. Dir hilft jetzt nur noch der Debugger des VLisp-Editors. Mit dem kannst Du der Sache auf den Grund gehen. Mir fällt leider zu dem Thema nix mehr ein.

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 21. Apr. 2005 15:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gelegenheitslispler 10 Unities + Antwort hilfreich

Hallo,

ich habe den Code (einfach nur kopiert und geladen) jetzt unter Acad2000 und 2005 getestet - der läuft!

Blöd oder nicht blöd - oder wer hier jetzt wozu zu blöd ist, ist ziemlich egal.
Ich denke mal, dass Mark das ganze doch spaßig gemeint hat. Ich denke auch, dass Gelegenheitslispler dies erkannt hat, denn weshalb sonst sollte er sich für die ehrliche Hilfe bedanken.

Als seid weiterhin lieb zueinander!

Grüße Holger

------------------
Holger Brischke
CAD on demand GmbH                              Autodesk User Group Central Europe
Individuelle Lösungen von Heute auf Morgen.              AUGCE Manager Deutschland

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 21. Apr. 2005 16:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gelegenheitslispler 10 Unities + Antwort hilfreich

Hi Holger,
[ironie]
nein ich habe das natürlich NICHT spaßig gemeint...
Ich verwende *grins*, *doppel-grins*, ;-), *lach*, *kicher* usw.
immer dann wenn ich tierisch ätzend drauf bin und anderen einen reinwürgen möchte...
[/ironie]

*lach*

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gelegenheitslispler
Mitglied



Sehen Sie sich das Profil von gelegenheitslispler an!   Senden Sie eine Private Message an gelegenheitslispler  Schreiben Sie einen Gästebucheintrag für gelegenheitslispler

Beiträge: 44
Registriert: 02.12.2004

erstellt am: 21. Apr. 2005 17:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Werde den Kot jetzt mit nach Hause nehmen und mein heimatliches Acad
damit füttern, wenn der das anstandslos frisst, zieh ich meinem öffentlichen Dienstrechner eine rein.
Servus allerseits,
Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 21. Apr. 2005 19:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gelegenheitslispler 10 Unities + Antwort hilfreich

Hi Marc,

:hmmm da ich dich nun auch persönlich kenne, kann ich mir dein grinsen richtig vorstellen - zu schön.
[ernst]:lach :lach[/ernst]

Grüße Holger

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz